/*
 
 Copyright 2011 ANDREA TUCCI <falko91@aliceposta.it>
 
 This file is part of BOMBERTUX.
 
 BOMBERTUX is free software: you can redistribute it and/or
 modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 BOMBERTUX is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with BOMBERTUX.  If not, see
 <http://www.gnu.org/licenses/>.
 
 */
#include "Block.h"


Block::Block (const string& c,bool friab)
:friable(friab)
{
	if (c!="")
		composition=c;
}
	
void Block::drawBlock(int y,int x)
{
	mvprintw(y,x,composition.data());
	mvprintw(y+1,x,composition.data());
	

}
void Block::drawBlockStrangeWay(int y,int x)
{
	mvprintw(y,x,composition.data());
}

bool Block::isFriable()const
{
	return friable;
}
	
	
const string& Block::getComposition()const
{
	return composition;
}

void Block::setComposition(const string& c)
{
	if(c!="")
		composition=c;
}
