/*
 
 Copyright 2011 ANDREA TUCCI <falko91@aliceposta.it>
 
 This file is part of BOMBERTUX.
 
 BOMBERTUX is free software: you can redistribute it and/or
 modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 BOMBERTUX is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with BOMBERTUX.  If not, see
 <http://www.gnu.org/licenses/>.
 
 */
#ifndef STATS_H
#define STATS_H
#include "Bombertux.h"
class Stats
{
	private:
		int time;
		static int points;
		bool gameOver;
		int timeBuff;
		bool isThereABoss;
	public:
		Stats (int time=200,int points=0,int timeBuff=45,bool gameOver=false,bool boss=false);

		int getTime()const;
		static int getPoints();
		bool isGameOver();

		void setTime(int);
		static void setPoints(int);
		void setTimeBuff(int);
		

		void view(const Bombertux& );
		static char weapons(const Bombertux&);
		void timeToPoints(const Bombertux&);
		void setBoss(bool);
		static void pause();
		




};
#endif
