/*

Copyright 2011 ANDREA TUCCI <falko91@aliceposta.it>

This file is part of BOMBERTUX.

BOMBERTUX is free software: you can redistribute it and/or
modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

BOMBERTUX is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with BOMBERTUX.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef BLOCK_H
#define BLOCK_H
#include <ncurses.h>
#include <string>
using namespace std;
class Block
{
	friend class Maze;
	private:
	string composition;
    bool friable;

    public:
	Block (const string& str="[][]",bool friable=false);
	void drawBlock(int y,int x);
	void drawBlockStrangeWay (int y,int x);
	bool isFriable()const;
	const string& getComposition()const;

	void setComposition(const string& c);

};
#endif
