/*
 
 Copyright 2011 ANDREA TUCCI <falko91@aliceposta.it>
 
 This file is part of BOMBERTUX.
 
 BOMBERTUX is free software: you can redistribute it and/or
 modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 BOMBERTUX is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with BOMBERTUX.  If not, see
 <http://www.gnu.org/licenses/>.
 
 */
#include "BombBlaster.h"
#include <panel.h>


BombBlaster::BombBlaster(unsigned pow,int time,bool available,bool dropped,int originX,int originY)
:Bomb(pow,time,available,dropped,originX,originY),mazeRepresentation('>')
{}
void BombBlaster::explode (int l,int c,int tempo,char button)
{
	
	init_pair(4,COLOR_BLUE,COLOR_BLACK);
	attron(COLOR_PAIR(4));
	int numberOfSmashes=0;
	int timePassed= tempo-timeDropped;

	WINDOW* expl=newwin (20,100,10,0);
	PANEL* explosion= new_panel(expl);
	update_panels();
	for(int i=0;i<2;i++)
	{
		
		wbkgd(expl,COLOR_PAIR(8));
		timeout(50);
		getch();
		doupdate();
		wbkgd(expl,COLOR_PAIR(6));
		timeout(50);
		getch();
		doupdate();
	
	}
				
	del_panel(explosion);
	delwin(expl);
	refresh();
	
	if(dropped==false && button=='b')
	{
		//+2 per farla cadere sui piedi di bombertux
		originX=c+2;
		originY=l+3;
		while(Maze::control[originY+numberOfSmashes][originX]!='M')
		{

			
			mvaddch(originY+numberOfSmashes,originX,'v');
			//se la matrice controllo ha un blocco che si rompe
			//io lo tengo così posso determinare gli eventuali
			//power up.
			if(Maze::control[originY+numberOfSmashes][originX]!='B' && Maze::control[originY+numberOfSmashes][originX]!='X' )
				Maze::control[originY+numberOfSmashes][originX]='O';
			numberOfSmashes++;
			refresh();
			
		}
	buttonPressed='b';
	}

	if(dropped==false && button=='n')
	{	
		originX=c+5;
		originY=l+1;
		while(Maze::control[originY][originX+numberOfSmashes]!='M')
		{
			mvaddch(originY,originX+numberOfSmashes,'>');
			//se la matrice controllo ha un blocco che si rompe
			//io lo tengo così posso determinare gli eventuali
			//power up.
			if(Maze::control[originY][originX+numberOfSmashes]!='B'&& Maze::control[originY][originX+numberOfSmashes]!='X')
				Maze::control[originY][originX+numberOfSmashes]='O';
			numberOfSmashes++;
			refresh();
			
		}
	buttonPressed='n';

	}
	if(dropped==false && button=='v')
	{
		
		originX=c;
		originY=l+1;
		while(Maze::control[originY][originX-numberOfSmashes]!='M')
		{
			mvaddch(originY,originX-numberOfSmashes,'>');
			//se la matrice controllo ha un blocco che si rompe
			//io lo tengo così posso determinare gli eventuali
			//power up.
			if(Maze::control[originY][originX-numberOfSmashes]!='B'&& Maze::control[originY][originX-numberOfSmashes]!='X')
				Maze::control[originY][originX-numberOfSmashes]='O';
			numberOfSmashes++;
			refresh();
			
		}
		buttonPressed='v';
		
	}
	
	
	dropped=true;	


	//fase di cancellamento
	numberOfSmashes=0;
	attron(COLOR_PAIR(2));
	
	if(dropped==true && timePassed > 2 && buttonPressed=='b' )
	{
		while(Maze::control[originY+numberOfSmashes][originX]!='M')
		{
			
			bool finded=false;	
			if(Maze::control[originY+numberOfSmashes][originX]=='B')
			{
				attron(COLOR_PAIR(15));
				if(rand()%15==0)
				{
					Maze::control[originY+numberOfSmashes][originX]='!';
					mvaddch(originY+numberOfSmashes,originX,'!');
					finded=true;
				}
				if(rand()%20==0)
				{
					Maze::control[originY+numberOfSmashes][originX]='V';
					mvaddch(originY+numberOfSmashes,originX,'L');
					finded=true;
				}
				if(rand()%8==0)
				{
					Maze::control[originY+numberOfSmashes][originX]='$';
					mvaddch(originY+numberOfSmashes,originX,'$');
					finded=true;
				}
				if(rand()%30==0)
				{
					Maze::control[originY+numberOfSmashes][originX]='*';
					mvaddch(originY+numberOfSmashes,originX,'*');
					finded=true;
				}
					
			}
			if(!finded)
			{	
				mvaddch(originY+numberOfSmashes,originX,' ');
				if(Maze::control[originY+numberOfSmashes][originX]=='X')
					Maze::control[originY+numberOfSmashes][originX]=' ';
				else
					Maze::control[originY+numberOfSmashes][originX]='L';
			}
			numberOfSmashes++;
		}
		dropped=false;
		
	}

	if(dropped==true && timePassed > 2 && buttonPressed=='n' )
	{
		
		while(Maze::control[originY][originX+numberOfSmashes]!='M')
		{
			bool finded=false;
			if(Maze::control[originY][originX+numberOfSmashes]=='B')
			{
				attron(COLOR_PAIR(15));
				if(rand()%15==0)
				{
					Maze::control[originY][originX+numberOfSmashes]='!';
					mvaddch(originY,originX+numberOfSmashes,'!');
					finded=true;
				}
				if(rand()%20==0)
				{
					Maze::control[originY][originX+numberOfSmashes]='V';
					mvaddch(originY,originX+numberOfSmashes,'L');
					finded=true;
				}
				if(rand()%8==0)
				{
					Maze::control[originY][originX+numberOfSmashes]='$';
					mvaddch(originY,originX+numberOfSmashes,'$');
					finded=true;
				}
				if(rand()%30==0)
				{
					Maze::control[originY][originX+numberOfSmashes]='*';
					mvaddch(originY,originX+numberOfSmashes,'*');
					finded=true;
				}
						
			
			}
			if(!finded)
			{	
				mvaddch(originY,originX+numberOfSmashes,' ');
				if(Maze::control[originY][originX+numberOfSmashes]=='X')
					Maze::control[originY][originX+numberOfSmashes]=' ';
				else
				Maze::control[originY][originX+numberOfSmashes]='L';
			}
		
		numberOfSmashes++;
		}
		dropped=false;
		
	}
	if(dropped==true && timePassed > 2 && buttonPressed=='v' )
	{
		
		while(Maze::control[originY][originX-numberOfSmashes]!='M')
		{
			bool finded=false;
			if(Maze::control[originY][originX-numberOfSmashes]=='B')
			{
				attron(COLOR_PAIR(15));
				if(rand()%15==0)
				{
					Maze::control[originY][originX-numberOfSmashes]='!';
					mvaddch(originY,originX-numberOfSmashes,'!');
					finded=true;
				}
				if(rand()%20==0)
				{
					Maze::control[originY][originX+numberOfSmashes]='V';
					mvaddch(originY,originX-numberOfSmashes,'L');
					finded=true;
				}
				if(rand()%8==0)
				{
					Maze::control[originY][originX-numberOfSmashes]='$';
					mvaddch(originY,originX-numberOfSmashes,'$');
					finded=true;
				}
				if(rand()%30==0)
				{
					Maze::control[originY][originX-numberOfSmashes]='*';
					mvaddch(originY,originX-numberOfSmashes,'*');
					finded=true;
				}
				
				
			}
			if(!finded)
			{	
				mvaddch(originY,originX-numberOfSmashes,' ');
				if(Maze::control[originY][originX-numberOfSmashes]=='X')
					Maze::control[originY][originX-numberOfSmashes]=' ';
				else
					Maze::control[originY][originX-numberOfSmashes]='L';
			}
			
			numberOfSmashes++;
		}
		dropped=false;
	}
		
	refresh();	
}


